<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class Peer extends Authenticatable
{
    use HasFactory, Notifiable;

    protected $table = "peers";

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'public_key',
        'allowed_ips',
        'preshared_key',
        'user_id',
        'vpn_id',
        'ip',
    ];

}
