<!-- Stored in resources/views/child.blade.php -->

@extends('layout.app')

@section('title', 'VPN')

@section('content')
    <div class="row"">
    <div class="col-md-12">
        <h1>My Peers</h1>
        <table class="table">
            <tr>
                <th>Name</th>
                <th>PublicKey</th>
                <th>IPs</th>
                <th>Actions</th>
            </tr>
            @foreach($mypeers as $peer)
                <tr>
                    <td>{{ $peer->name }}</td>
                    <td>{{$peer->public_key}}</td>
                    <td>{{$peer->ip}}@if($peer->allowed_ips && $peer->ip), @endif{{$peer->allowed_ips}}</td>
                    <td>-</td>
                </tr>
            @endforeach
        </table>
        <h1>Peers</h1>
        <table class="table">
            <tr>
                <th>Name</th>
                <th>PublicKey</th>
                <th>IPs</th>
                <th>Actions</th>
            </tr>
            @foreach($peers as $peer)
                <tr>
                    <td>{{ $peer->name }}</td>
                    <td>{{$peer->public_key}}</td>
                    <td>{{$peer->ip}}@if($peer->allowed_ips && $peer->ip), @endif{{$peer->allowed_ips}}</td>
                    <td>-</td>
                </tr>
            @endforeach
        </table>
    </div>
    </div>
@endsection
