<!-- Stored in resources/views/child.blade.php -->

@extends('layout.public')

@section('title', 'Register')

@section('content')
    <div class="row" style="margin-top: 20%;">
        <div class="col-md-3"></div>
        <div class="col-md-6">
            <h1>Register</h1>
            @if ($errors->all())
            <div class="alert alert-warning" role="alert">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <form method="post" style="margin-top: 30px;">
                @csrf
                <label>E-Mail</label>
                <input type="email" name="email" placeholder="E-Mail" class="form-control">
                <label style="margin-top: 8px;">Password</label>
                <input type="password" name="password" placeholder="Password" class="form-control">
                <label style="margin-top: 8px;">Password Again</label>
                <input type="password" name="password2" placeholder="Password" class="form-control">
                <input type="submit" class="btn btn-success" style="margin-top: 15px;" value="Register">
                <a href="/login" class="btn" style="margin-top: 15px;float: right;">Login</a>
            </form>
        </div>
    </div>

@endsection
