<!-- Stored in resources/views/child.blade.php -->

@extends('layout.app')

@section('title', 'VPN')

@section('content')
    <div class="row"">
        <div class="col-md-12">
            <h1>VPN Access</h1>
            <table class="table">
                <tr>
                    <th>Mail</th>
                    <th>Access</th>
                    <th class="text-right">Save</th>
                </tr>
                @foreach($users as $u)
                    <tr>
                        <form method="post">
                            @csrf
                        <td>{{$u->email}}<input style="display: none" name="id" value="{{$u->id}}"> </td>
                        <td>
                            <select name="access" class="form-control">
                                <option @if ($u->getVPNRole($vpn_id)=="None") selected="selected" @endif >None</option>
                                <option @if ($u->getVPNRole($vpn_id)=="User") selected="selected" @endif >User</option>
                                <option @if ($u->getVPNRole($vpn_id)=="Admin") selected="selected" @endif >Admin</option>
                            </select>
                        </td>
                        <td class="text-right"><input type="submit" class="btn btn-primary" value="Save"></td>
                        </form>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
@endsection
